<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__discovery__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_discovery_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__discovery__t_1ac5784f960761df674bb03c442d46c7bd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_discovery_t::connIndex</definition>
        <argsstring />
        <name>connIndex</name>
        <briefdescription>
<para>Peer Device Handle index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="135" />
      </memberdef>
      <memberdef id="structcy__stc__ble__discovery__t_1a785ab6990b8c596725f425fe2aadd214" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_discovery_t::servCount</definition>
        <argsstring />
        <name>servCount</name>
        <briefdescription>
<para>Counter for discovery procedures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="138" />
      </memberdef>
      <memberdef id="structcy__stc__ble__discovery__t_1acaa8b188f63251867e8d68f74e15d13f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_discovery_t::charCount</definition>
        <argsstring />
        <name>charCount</name>
        <briefdescription>
<para>Characteristic Counter for discovery procedures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="141" />
      </memberdef>
      <memberdef id="structcy__stc__ble__discovery__t_1a003fd64a8790872c3b6136b87d6deb54" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_discovery_t::autoDiscoveryFlag</definition>
        <argsstring />
        <name>autoDiscoveryFlag</name>
        <briefdescription>
<para>Auto discovery flag. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="144" />
      </memberdef>
      <memberdef id="structcy__stc__ble__discovery__t_1a26d4a15c79bdf2b6a4b0b6218456fa81" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__disc__incl__info__t">cy_stc_ble_disc_incl_info_t</ref></type>
        <definition>cy_stc_ble_disc_incl_info_t cy_stc_ble_discovery_t::inclInfo</definition>
        <argsstring />
        <name>inclInfo</name>
        <briefdescription>
<para>Discovery included service information, used for 128-bit UUID read response handle and for continue discovery. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="150" />
      </memberdef>
      <memberdef id="structcy__stc__ble__discovery__t_1a41be64bdd42416581c56587c5ece0e76" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__attr__handle__range__t">cy_stc_ble_gatt_attr_handle_range_t</ref></type>
        <definition>cy_stc_ble_gatt_attr_handle_range_t cy_stc_ble_discovery_t::gattcDiscoveryRange</definition>
        <argsstring />
        <name>gattcDiscoveryRange</name>
        <briefdescription>
<para>GATT Attribute Handle Range type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="153" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Discovery information structure type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="464">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="461">
        <label>cy_ble_uuid_t</label>
        <link refid="unioncy__ble__uuid__t" />
        <childnode refid="462" relation="usage">
          <edgelabel>uuid128</edgelabel>
        </childnode>
      </node>
      <node id="463">
        <label>cy_stc_ble_gatt_attr_handle_range_t</label>
        <link refid="structcy__stc__ble__gatt__attr__handle__range__t" />
      </node>
      <node id="459">
        <label>cy_stc_ble_discovery_t</label>
        <link refid="structcy__stc__ble__discovery__t" />
        <childnode refid="460" relation="usage">
          <edgelabel>inclInfo</edgelabel>
        </childnode>
        <childnode refid="463" relation="usage">
          <edgelabel>gattcDiscoveryRange</edgelabel>
        </childnode>
      </node>
      <node id="462">
        <label>cy_stc_ble_uuid128_t</label>
        <link refid="structcy__stc__ble__uuid128__t" />
      </node>
      <node id="460">
        <label>cy_stc_ble_disc_incl_info_t</label>
        <link refid="structcy__stc__ble__disc__incl__info__t" />
        <childnode refid="461" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
        <childnode refid="463" relation="usage">
          <edgelabel>inclHandleRange</edgelabel>
        </childnode>
        <childnode refid="464" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="154" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="133" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__discovery__t_1a003fd64a8790872c3b6136b87d6deb54" virt="non-virtual"><scope>cy_stc_ble_discovery_t</scope><name>autoDiscoveryFlag</name></member>
      <member prot="public" refid="structcy__stc__ble__discovery__t_1acaa8b188f63251867e8d68f74e15d13f" virt="non-virtual"><scope>cy_stc_ble_discovery_t</scope><name>charCount</name></member>
      <member prot="public" refid="structcy__stc__ble__discovery__t_1ac5784f960761df674bb03c442d46c7bd" virt="non-virtual"><scope>cy_stc_ble_discovery_t</scope><name>connIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__discovery__t_1a41be64bdd42416581c56587c5ece0e76" virt="non-virtual"><scope>cy_stc_ble_discovery_t</scope><name>gattcDiscoveryRange</name></member>
      <member prot="public" refid="structcy__stc__ble__discovery__t_1a26d4a15c79bdf2b6a4b0b6218456fa81" virt="non-virtual"><scope>cy_stc_ble_discovery_t</scope><name>inclInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__discovery__t_1a785ab6990b8c596725f425fe2aadd214" virt="non-virtual"><scope>cy_stc_ble_discovery_t</scope><name>servCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>